Move tracks

Move the specified track {playlistTrackId} from the specified playlist at {playlistId}, to a location dictated by the "pos" parameter of the POST request data.

The "pos" parameter is the playlistTrackId of the track you wish your selected track to appear AFTER. A value of "0" indicates you wish to place the track at the front of the list.

NOTE: Tracks can also be rearranged at the client side and then posted back to the ~/playlists/{playlistId} endpoint, this offers a lightweight way of doing the same thing.

OAuth

 \ Example request

POST https://api.7digital.com/1.2/playlists/6141e9d36f6bd00ea821b8cc/tracks/618265526f6bd01b94605a20/move?country=GB

Example response

{
  "playlist": {
    "id": "6141e9d36f6bd00ea821b8cc",
    "name": "My Chillout Mix",
    "status": "published",
    "visibility": "Public",
    "image":"http://artwork-cdn.7static.com/static/img/sleeveart/00/004/963/0000496338_$size$.jpg",
    "description":"Laid back listening",
    "tracks" : [{
      "playlistItemId" : "52cd88c2c902161660aeab80",
      "trackId" : "5495893",
      "trackTitle" : "No You Girls",
      "trackVersion" : "Trentmoller Remix",
      "artistAppearsAs" : "Franz Ferdinand",
      "releaseId" : "496338",
      "releaseTitle" : "No You Girls Remixes Part 2",
      "releaseArtistAppearsAs" : "Franz Ferdinand",
      "releaseVersion" : "Digital Download",
      "source" : "7digital",
      "audioUrl" : "http://stream.svc.7digital.net/stream/catalogue?trackId=5495893",
      "user" : "id:4874383",
      "image" : "http://artwork-cdn.7static.com/static/img/sleeveart/00/004/963/0000496338_$size$.jpg"
    },
    {
      "playlistItemId" : "618265526f6bd01b94605a20",
      "trackId" : "3121833",
      "trackTitle" : "Kids",
      "trackVersion" : "",
      "artistAppearsAs" : "MGMT",
      "releaseId" : "280218",
      "releaseTitle" : "Oracula Spectacular",
      "releaseArtistAppearsAs" : "MGMT",
      "releaseVersion" : "",
      "source" : "7digital",
      "audioUrl" : "http://stream.svc.7digital.net/stream/catalogue?trackId=3121833",
      "user" : "id:4874383",
      "image" : "http://artwork-cdn.7static.com/static/img/sleeveart/00/002/802/0000280218_$size$.jpg"
    }],
    "annotations": { },
    "lastUpdated": "2013-10-02T12:16:04.615Z"
  }
}
Path Params
string
required

The identifier for the playlist you want to move tracks in

string
required

The playlist track ID of the track that you wish to move

Query Params
string
required

The ISO 2-character code of the country to which your oauth_consumer_key has access.

string

If you are using this endpoint for a user specific playlist, then provide the unique identifier of the user. For information on creating users click here.

Form Data
int32

The position that you would like to move the track within the playlist.

Language
LoadingLoading…